#
# spec file for package rxvt (Version 2.7.7)
#
# Copyright (c) 2003 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  xf86 xpm yodl
# usedforbuild    aaa_base aaa_dir base bash bindutil bison bzip compress cpio cpp cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gdbm-devel glibc glibc-devel gpm gppshare grep groff gzip kbd less m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam-devel patch ps rcs readline sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim autoconf automake binutils cracklib gcc gdbm gettext libtool libz pam perl rpm xdevel xf86 xshared yodl

Name:         rxvt
Copyright:    GPL
Group:        X11/Applications
Provides:     rclock rxvt 
Autoreqprov:  on
Version:      2.7.7
Release:      122
Summary:      The 'other' X-Terminal
Url:          http://www.rxvt.org/
Source:       ftp://ftp.rxvt.org/pub/rxvt/rxvt-%{version}.tar.bz2
Source1:      Rxvt.ad
Source2:      Rxvt.ad.ja
Source3:      Rxvt.ad.ko
Source4:      Rxvt.ad.zh_TW.Big5
Source5:      Rxvt.ad.zh_CN.gb2312
Source6:      README.SuSE
Patch:        %{name}-%{version}.dif
Patch1:       %{name}-%{version}-paste.dif
Patch2:       %{name}-%{version}-security.dif
Patch3:       %{name}-%{version}-cursor-color.dif
Patch4:       %{name}-%{version}-security2.diff
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
rxvt is smaller than xterm. That is why many people like it.

This package also includes rclock -- it is now included in the rxvt source
package.

Authors:
--------
    Mark Olesen <olesen@me.QueensU.CA>
    Robert Nation <nation@rocket.sanders.lockheed.com>

SuSE series: xap

%prep
%setup
%patch
%patch1
%patch2
%patch3
%patch4
cp %{S:1} %{S:2} %{S:3} %{S:4} %{S:5} .
cp %{S:6} doc/

%build
rm -rf $RPM_BUILD_ROOT
%{suse_update_config -f autoconf/}
(cd autoconf
   cp xpm.m4 acinclude.m4
   aclocal
   autoconf)
cp autoconf/configure .
CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE" ./configure --prefix=/usr/X11R6 \
                                                  --enable-everything \
						  --enable-languages \
						  --enable-xim \
						  --enable-xgetdefault \
						  --enable-ttygid \
						  %{_target_cpu}-suse-linux
make
install -d -m 755 $RPM_BUILD_ROOT/usr/X11R6/bin/
install -s src/rxvt $RPM_BUILD_ROOT/usr/X11R6/bin/rxvt.xpm
CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE" ./configure --prefix=/usr/X11R6 \
                                                  --enable-everything \
						  --enable-xpm-background=no \
						  --with-xpm=no \
						  --enable-languages \
						  --enable-xim \
						  --enable-xgetdefault \
						  --enable-ttygid \
						  %{_target_cpu}-suse-linux
make
make clock

%install
make "DESTDIR=$RPM_BUILD_ROOT" install
install -d -m 755 $RPM_BUILD_ROOT/usr/X11R6/lib/X11/{,ja,ja_JP,ja_JP.eucJP,ja_JP.ujis,ko,ko_KR,ko_KR.eucKR,zh_CN,zh_CN.gb2312,zh_TW,zh_TW.Big5}/app-defaults/
install -m644 Rxvt.ad $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults/Rxvt
install -m644 Rxvt.ad.ja $RPM_BUILD_ROOT/usr/X11R6/lib/X11/ja/app-defaults/Rxvt
install -m644 Rxvt.ad.ko $RPM_BUILD_ROOT/usr/X11R6/lib/X11/ko/app-defaults/Rxvt
install -m644 Rxvt.ad.zh_TW.Big5 $RPM_BUILD_ROOT/usr/X11R6/lib/X11/zh_TW/app-defaults/Rxvt
install -m644 Rxvt.ad.zh_CN.gb2312 $RPM_BUILD_ROOT/usr/X11R6/lib/X11/zh_CN/app-defaults/Rxvt
# Unfortunately, contrary to other X11 applications, rxvt searches app-defaults only
# in subdirectories with the full locale name, like ja_JP.eucJP, not in
# subdirectories with abbreviated names like ja_JP or ja.
# I will try to ask on the rxvt Mailing list whether this can be fixed.
# Until then, as a quick and dirty fix, let's  make links to the
# variants of locale names:
ln -s /usr/X11R6/lib/X11/ja/app-defaults/Rxvt $RPM_BUILD_ROOT/usr/X11R6/lib/X11/ja_JP/app-defaults/Rxvt
ln -s /usr/X11R6/lib/X11/ja/app-defaults/Rxvt $RPM_BUILD_ROOT/usr/X11R6/lib/X11/ja_JP.eucJP/app-defaults/Rxvt
ln -s /usr/X11R6/lib/X11/ja/app-defaults/Rxvt $RPM_BUILD_ROOT/usr/X11R6/lib/X11/ja_JP.ujis/app-defaults/Rxvt
ln -s /usr/X11R6/lib/X11/ko/app-defaults/Rxvt $RPM_BUILD_ROOT/usr/X11R6/lib/X11/ko_KR/app-defaults/Rxvt
ln -s /usr/X11R6/lib/X11/ko/app-defaults/Rxvt $RPM_BUILD_ROOT/usr/X11R6/lib/X11/ko_KR.eucKR/app-defaults/Rxvt
ln -s /usr/X11R6/lib/X11/zh_CN/app-defaults/Rxvt $RPM_BUILD_ROOT/usr/X11R6/lib/X11/zh_CN.gb2312/app-defaults/Rxvt
ln -s /usr/X11R6/lib/X11/zh_TW/app-defaults/Rxvt $RPM_BUILD_ROOT/usr/X11R6/lib/X11/zh_TW.Big5/app-defaults/Rxvt

%files
%defattr(-,root,root)
/usr/X11R6/bin/rclock
%attr(2755,root,tty)/usr/X11R6/bin/rxvt
%attr(2755,root,tty)/usr/X11R6/bin/rxvt.xpm
%config /usr/X11R6/lib/X11/app-defaults/Rxvt
%config /usr/X11R6/lib/X11/ja*/app-defaults/Rxvt
%config /usr/X11R6/lib/X11/ko*/app-defaults/Rxvt
%config /usr/X11R6/lib/X11/zh_*/app-defaults/Rxvt
%doc /usr/X11R6/man/man1/*
%doc doc/*.html doc/menu doc/BUGS doc/FAQ doc/README.greek doc/README.menu
%doc doc/README.xvt doc/TODO doc/rxvtRef.txt doc/xterm.seq doc/README.SuSE

%clean
#rm -rf $RPM_BUILD_ROOT

%changelog -n rxvt
* Thu Mar 20 2003 - postadal@suse.cz
- fixed a number of vulnerabilities in the handling of escape sequences
* Thu Aug 16 2001 - cihlar@suse.cz
- fixed cursor_color patch
* Tue Aug 14 2001 - cihlar@suse.cz
- update to version 2.7.7
- fixed problem with color of cursor:
  it is set now only when explicitly specified in
  app-defaults or on command line
* Wed Jun 20 2001 - cihlar@suse.cz
- added security patch
* Mon Jun 11 2001 - cihlar@suse.cz
- fixed to compile with new autoconf
* Mon Apr 23 2001 - cihlar@suse.cz
- fixed paste from applications which does not support
  compound text
- remove obsolete config.h.in
* Tue Apr 17 2001 - mfabian@suse.de
- remove rxvt-2.7.6-change-font.patch, not needed anymore
- use config.h.in which comes with the rxvt tarball
- remove "*multichar_encoding: noenc" from Rxvt.ad
- remove rxvt-2.7.6-i18nrc.patch
- make symbolic links for identical app-defaults files in
  different locale specific subdirectories
* Tue Apr 17 2001 - cihlar@suse.cz
- updated to 2.7.6
* Mon Mar 12 2001 - cihlar@suse.cz
- fixed mapping od Home and End
* Wed Feb 28 2001 - mfabian@suse.de
- added app-defaults files for traditional and simplified
  Chinese: Rxvt.ad.zh_TW.big5 Rxvt.ad.zh_CN.gb2312
* Wed Jan 10 2001 - violiet@susekorea.net
- update Rxvt.ad.ko.
* Tue Jan 09 2001 - mfabian@suse.de
- added rxvt-2.7.5-change-font.patch
  Without this patch a multi byte enabled rxvt
  ("--enable-languages") segfaults when called with
  multichar_encoding mode set to "noenc" and one tries to change
  font sizes using  Shift-KP_Add  and  Shift-KP_Subtract.
* Tue Jan 09 2001 - mfabian@suse.de
- added app-defaults files for Japanese and Korean.
- removed "free(lang)" in rxvt-%%{version}-i18nrc.patch
  lang is never allocated, therefore it is not a good idea to
  free it (fixed the segfaults I had with "LANG=C rxvt").
- activated rxvt-%%{version}-i18nrc.patch in .spec file.
  This patch is necessary to load different app-defaults for
  different languages, /usr/X11R6/lib/X11/ja/app-defaults/Rxvt
  for Japanese, /usr/X11R6/lib/X11/ko/app-defaults/Rxvt for
  Korean and /usr/X11R6/lib/X11/app-defaults/Rxvt for English.
- added configure options to enable support for Asian language
  and XIM.
* Mon Jan 08 2001 - cihlar@suse.cz
- update to unstable version 2.7.5 due
  to support for Korean and Japanese
* Thu Aug 24 2000 - cihlar@suse.cz
- fixed $DISPLAY
- bzipped sources
* Wed May 17 2000 - cihlar@suse.cz
- upgrade to 2.6.2
- Group sorted
* Mon Apr 10 2000 - cihlar@suse.cz
- added BuildRoot
* Thu Nov 04 1999 - ro@suse.de
- update to 2.6.1
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Fri Sep 03 1999 - ro@suse.de
- update to 2.6.0
* Thu Jun 10 1999 - kukuk@suse.de
- Use openpty
* Tue Nov 10 1998 - ro@suse.de
- update to 2.4.7 / include utmpx.h only for glibc-2.1
* Fri Sep 25 1998 - ro@suse.de
- fixed specfile
* Fri Sep 25 1998 - ro@suse.de
- enable utmp/wtmp for both versions of rxvt
- update to 2.4.6
  Wed Jul 29 20:54:18 MET DST 1998 - werner
- Enable utmp/wtmp because this rxvt version has it's own privilege
  switches using seteuid/setegid
* Wed Feb 18 1998 - ro@suse.de
- fixed backspace problem
* Tue Feb 10 1998 - ro@suse.de
- define keysyms for home and end
* Tue Feb 03 1998 - ro@suse.de
- update to version 2.4.5
  pack the documentation
  html start page is /usr/doc/packages/rxvt/html/refer.html
  packed two versions: /usr/X11R6/bin/rxvt
  and /usr/X11R6/bin/rxvt.xpm with XPM-Support
  doc contains a README.SuSE to explain rxvt.xpm
* Tue Jan 27 1998 - ro@suse.de
- set default term to color_xterm instead of xterm-color
* Thu Oct 09 1997 - ro@suse.de
- ready for autobuild
